Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfFootnote

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfFootnote

All Implemented Interfaces:
  IRtfListContainer, IRtfTextrunContainer

    public class RtfFootnote

extends RtfContainer
implements IRtfTextrunContainer, IRtfListContainer

Model of an RTF footnote.

This work was authored by Peter Herweg (pherweg@web.de) and Marc Wilhelm Kuester.

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`void` | `endBody()` end body
`RtfTextrun` | `getTextrun()` Returns the current RtfTextrun object.
`RtfList` | `newList(RtfAttributes attrs)` Close the current list, if any, and starts a new one
`void` | `startBody()` start body
`protected void` | `writeRtfContent()` write RTF code of all our children

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTextrun

    public RtfTextrun getTextrun()
                          throws java.io.IOException

  Description copied from interface: `IRtfTextrunContainer`
  Returns the current RtfTextrun object. Opens a new one if necessary.

  Specified by:
    `getTextrun` in interface `IRtfTextrunContainer`
  Returns:
    a text run
  Throws:
    `java.io.IOException` - if not caught

### writeRtfContent

    protected void writeRtfContent()
                            throws java.io.IOException

  write RTF code of all our children

  Overrides:
    `writeRtfContent` in class `RtfContainer`
  Throws:
    `java.io.IOException` - for I/O problems

### newList

    public RtfList newList(RtfAttributes attrs)
                    throws java.io.IOException

  Description copied from interface: `IRtfListContainer`
  Close the current list, if any, and starts a new one

  Specified by:
    `newList` in interface `IRtfListContainer`
  Parameters:
    `attrs` - some attributes
  Returns:
    an rtf list
  Throws:
    `java.io.IOException` - if not caught

### startBody

    public void startBody()

  start body

### endBody

    public void endBody()

  end body

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.